@use '../../stylesheets/core';

.rui-tabs {
  display: flex;
  height: var(--tabs-height);
  padding-right: var(--spacer-default);
  padding-left: var(--spacer-default);
  border-bottom: 1px solid var(--border-color);

  >.rui-button {
    height: auto;
    padding: var(--spacer-small) var(--spacer-default);
    background-color: var(--component-content-background);
    border-top-left-radius: var(--border-radius);
    border-top-right-radius: var(--border-radius);
    box-shadow:
      inset 0    1px 0 0 var(--border-color),
      inset -1px 0   0 0 var(--border-color);
    font-variant: unset;
    text-decoration: none;

    &:first-child {
      box-shadow:
        inset 1px  0   0 0 var(--border-color),
        inset 0    1px 0 0 var(--border-color),
        inset -1px 0   0 0 var(--border-color);
    }

    &.rui-button--active,
    &.router-link-active,
    &.router-link-exact-active {
      margin-bottom: -1px;
      background-color: var(--background-color);
    }

    &:focus {
      box-shadow:
        inset 0    3px 0 0 var(--primary-color),
        inset -1px 0   0 0 var(--border-color);
    }
  }

  &--no-text-on-small {
    @include core.respond-to('small') {
      .rui-button__text {
        @include core.sr-only();
      }
    }
  }
}
